## mverbiste 1.0.0

=== Makefile ===
#############################################################################
# Makefile for building: mverbiste
# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Oct 31 01:01:46 2012
# Project:  mverbiste.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile mverbiste.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DVERSTR=\"1.0\" -DICONV_CONST= -DLIBDATADIR=\"/opt/mverbiste/data\" -DICONFILE=\"/opt/mverbiste/icons/mverbiste160.png\" -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -I/usr/include/libxml2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -I/usr/include/libxml2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/usr/include/QtCore -I/usr/include/QtGui -I/usr/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -L/usr/lib -lxml2 -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread
AR            = ar cqs
RANLIB        =
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp \
		verbiste/misc-types.cpp \
		verbiste/FrenchVerbDictionary.cpp \
		verbiste/c-api.cpp \
		gui/conjugation.cpp \
		about.cpp moc_mainwindow.cpp \
		moc_about.cpp
OBJECTS       = main.o \
		mainwindow.o \
		misc-types.o \
		FrenchVerbDictionary.o \
		c-api.o \
		conjugation.o \
		about.o \
		moc_mainwindow.o \
		moc_about.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		deployment.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		mverbiste.pro
QMAKE_TARGET  = mverbiste
DESTDIR       =
TARGET        = mverbiste

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h $(OBJECTS)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: mverbiste.pro  /usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		deployment.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -o Makefile mverbiste.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
deployment.pri:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile mverbiste.pro

dist:
	@$(CHK_DIR_EXISTS) .tmp/mverbiste1.0.0 || $(MKDIR) .tmp/mverbiste1.0.0
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/mverbiste1.0.0/ && $(COPY_FILE) --parents mainwindow.h verbiste/Trie.h verbiste/misc-types.h verbiste/FrenchVerbDictionary.h verbiste/c-api.h gui/conjugation.h about.h .tmp/mverbiste1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp verbiste/misc-types.cpp verbiste/FrenchVerbDictionary.cpp verbiste/c-api.cpp gui/conjugation.cpp about.cpp .tmp/mverbiste1.0.0/ && $(COPY_FILE) --parents mainwindow.ui .tmp/mverbiste1.0.0/ && (cd `dirname .tmp/mverbiste1.0.0` && $(TAR) mverbiste1.0.0.tar mverbiste1.0.0 && $(COMPRESS) mverbiste1.0.0.tar) && $(MOVE) `dirname .tmp/mverbiste1.0.0`/mverbiste1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/mverbiste1.0.0


clean:compiler_clean
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET)
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp moc_about.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp moc_about.cpp
moc_mainwindow.cpp: verbiste/FrenchVerbDictionary.h \
		verbiste/c-api.h \
		verbiste/misc-types.h \
		verbiste/Trie.h \
		verbiste/Trie.cpp \
		gui/conjugation.h \
		about.h \
		mainwindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

moc_about.cpp: about.h
	/usr/bin/moc $(DEFINES) $(INCPATH) about.h -o moc_about.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_mainwindow.h
compiler_uic_clean:
	-$(DEL_FILE) ui_mainwindow.h
ui_mainwindow.h: mainwindow.ui
	/usr/bin/uic mainwindow.ui -o ui_mainwindow.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean

####### Compile

main.o: main.cpp mainwindow.h \
		verbiste/FrenchVerbDictionary.h \
		verbiste/c-api.h \
		verbiste/misc-types.h \
		verbiste/Trie.h \
		verbiste/Trie.cpp \
		gui/conjugation.h \
		about.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

mainwindow.o: mainwindow.cpp mainwindow.h \
		verbiste/FrenchVerbDictionary.h \
		verbiste/c-api.h \
		verbiste/misc-types.h \
		verbiste/Trie.h \
		verbiste/Trie.cpp \
		gui/conjugation.h \
		about.h \
		ui_mainwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwindow.o mainwindow.cpp

misc-types.o: verbiste/misc-types.cpp verbiste/misc-types.h \
		verbiste/c-api.h \
		verbiste/FrenchVerbDictionary.h \
		verbiste/Trie.h \
		verbiste/Trie.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o misc-types.o verbiste/misc-types.cpp

FrenchVerbDictionary.o: verbiste/FrenchVerbDictionary.cpp verbiste/FrenchVerbDictionary.h \
		verbiste/c-api.h \
		verbiste/misc-types.h \
		verbiste/Trie.h \
		verbiste/Trie.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o FrenchVerbDictionary.o verbiste/FrenchVerbDictionary.cpp

c-api.o: verbiste/c-api.cpp verbiste/FrenchVerbDictionary.h \
		verbiste/c-api.h \
		verbiste/misc-types.h \
		verbiste/Trie.h \
		verbiste/Trie.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o c-api.o verbiste/c-api.cpp

conjugation.o: gui/conjugation.cpp gui/conjugation.h \
		verbiste/FrenchVerbDictionary.h \
		verbiste/c-api.h \
		verbiste/misc-types.h \
		verbiste/Trie.h \
		verbiste/Trie.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o conjugation.o gui/conjugation.cpp

about.o: about.cpp about.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o about.o about.cpp

moc_mainwindow.o: moc_mainwindow.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_mainwindow.o moc_mainwindow.cpp

moc_about.o: moc_about.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_about.o moc_about.cpp

####### Install

install_itemxmldata: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/mverbiste/ || $(MKDIR) $(INSTALL_ROOT)/opt/mverbiste/
	-$(INSTALL_DIR) $(PWD)/data $(INSTALL_ROOT)/opt/mverbiste/


uninstall_itemxmldata:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/opt/mverbiste/data
	-$(DEL_DIR) $(INSTALL_ROOT)/opt/mverbiste/


install_itemicon: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/mverbiste/ || $(MKDIR) $(INSTALL_ROOT)/opt/mverbiste/
	-$(INSTALL_DIR) $(PWD)/icons $(INSTALL_ROOT)/opt/mverbiste/


uninstall_itemicon:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/opt/mverbiste/icons
	-$(DEL_DIR) $(INSTALL_ROOT)/opt/mverbiste/


install_icon: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/
	-$(INSTALL_FILE) $(PWD)/mverbiste64.png $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/


uninstall_icon:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/mverbiste64.png
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/


install_desktopfile: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/applications/hildon/
	-$(INSTALL_FILE) $(PWD)/mverbiste.desktop $(INSTALL_ROOT)/usr/share/applications/hildon/


uninstall_desktopfile:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/applications/hildon/mverbiste.desktop
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/applications/hildon/


install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/mverbiste/bin/ || $(MKDIR) $(INSTALL_ROOT)/opt/mverbiste/bin/
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/opt/mverbiste/bin/$(QMAKE_TARGET)"
	-$(STRIP) "$(INSTALL_ROOT)/opt/mverbiste/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/opt/mverbiste/bin/$(QMAKE_TARGET)"

=== debian/changelog ===
mverbiste (1.0.0) unstable; urgency=low
   * Initial Release.

 -- Nguyễn Hồng Quân <ng.hong.quan@gmail.com>  Sun, 28 Oct 2012 17:08:52 +0700

=== debian/control ===
Source: mverbiste
Section: user/education
Priority: optional
Maintainer: Nguyễn Hồng Quân <ng.hong.quan@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libxml2-dev
Standards-Version: 3.7.3
Homepage: https://gitorious.org/mverbiste

Package: mverbiste
Architecture: armel i486
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: MVerbiste is to help conjugation French verbs.
 MVerbiste is an effort to bring Verbiste, a program to help conjugate French verbs, to Maemo & MeeGo.
 Created with Qt GUI and the library from Verbiste.
XB-Maemo-Display-Name: MVerbiste
XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgIfAhkiAAAAAlwSFlzAAABLgAAAS4Be3EaTQAAABl0RVh0U29mdHdhcmUAd3d3Lmlua3NjYXBlLm9yZ5vuPBoAAAAYdEVYdEF1dGhvcgBKb25hdGhhbiBEaWV0cmljaO67ae8AAA6kSURBVGiB1ZlpkBzlecd/bx/T3bNz7MzsrlaLpEUSkiIMQkbSLgIEEnIAA4YUR8VVsUMcQ8opElel8sGpyie74iMcqThxTh9FqmIDxtgl7hshDmlBsrAsBJYQQvfeM7tzz3T3mw9Pj2YlFlnGSiXuqqmZ7p5+3///uZ+nldaa3+XDOusrblYuMc5BMQ/FPDR9mBwFDqA4wBo9fDa3U2dFA9vUIPCXGMbVKNNAOSFW3MSMd6Ach7BWxS9WCCuasGmidRkV/hCTf2WVPjTLen/IJTwMOvzfI/Cmmk/An2EYf4KVdIkv7SKxDKw0WAkwHFAzFBw2IKhAUIbGKBT3NKkdKBEE+yC4B4tNrNJNhtTVGM4mMN7Cr17PWj15dgnsUTHKfB2sO/AWJUhfbOH1g5kC0uAXwa8AIRg22BYoAwIFWoHlyrnOQ2MCSm/D1M4isfkllv70U+y64Cn6bl5AfSRg4tURmrUbWKt3nh0CQ+oSMB7E7esmtyFOfJEAxYBqDaa3ATr6IN+pS0EpOP4QxBeIVag4pFeDkwXDhJEfVch+8UVK2wwav1xP961x9AjUR2D48UmC2lcYaHxvNkjGGYPfpr6OGXuSrg39nPNHcTpWgO9AqQQ6A9X9gA+69WnKd1iGsAZer1wjhOo+mHoFRh+D8VfAW6NJXvkrCo+vp/u2OJPboVyF2Lkw77NZYpl7GbI+//E18Ia6DzP9RXpvShNfDGEcpn4B9UMCKHEhmHE4/jB4fRD6In3DgeRqMZnpobZW0ICS6+VDIed97y2G7zaJz72QMGFQfhtMB6wspM+H4AgceWCSsLKaAX3gN9PAVvWPmJ13MPeWNN5CCBNw7MdQ/6At6eJOcBaDNw+UKQRMT34rKwJrtj+Yci2oQ+7WJsp/i9q+pTgrDWoHRRg6hOYEFN8Huw96NmZQzuNsVieF/tMTGFJfJZb+AnNvTuEuAF2H0gGwYgK+Zf9hHWqHRdqYYKcjkCYYFoRN0IacBz40JsEvQWg16frsNg7+9bXM/ZLH1FbRijJAayFbeQ9Kk+AtVCSX9tPh3HtmBN5UKzHsL9NzfQr3AqhUoZEAOxGBV23JmgkovQXxZQKyJenmdMTREyLaF+txeqFZhO7bqhRfGMZdlKP8vmizORWBt0QwVgdU3wHVDYklHejmXbyhLjo9gT0qRmj8jMylnSRXQOUoFLdC4SmoH4PUZSIlv9qWtK5DqMCeA0FDAMZysoVGQmhtBPDlWe8TPp0bX2L0O9eRuMShcVz+a2chqEkINjz5JFbD5Otljj+5FxVey4D+xekJFLkbt28O6QGoNaC4HQgkmlT3RYuuiUzFkA0bk1DeCckBMDvAzokWrGSkKRvii+W6X4bcH4xz7L402VvjTL8BKiZJDgVWSr7jyyHW22T8wSnc83/A3G+uZI1+4fQmtFVlUebt5DZ4GL2Q3xyFxEA2UQZMbZFsmxyUcysJsR7xA3vOyc5qekLwxDUD3At84ks3U/75IKFpomzZ20zIPvYc8BYG5J8qY2afYPkz/0Jt/0qOf+WJU+F+mIDBXXj9Ht5CqB4VlZ84VPSIAVOvgd0lmsAQcLXDUN4DHRdH5qJApSAoRs+Z0MyHZK45zKG/vYjMjS6Vd2bs7YHTH1LdXSMMn2XZpvsx07/HvpvuwixfBqxgSM37aAIPKxNl3EV6tYPKQvHniBcGnIjbQbVNIv8c2L2QWCnn3iKo7Ib4BVFItUB5QkCZskd6fYCuvoaVXETtqAIFRgfE5oUEY3XC4sss+q8fEDt3Ifu/dCcTP15Gz+1psusMvMVpFH/x0QTmcx1WxsFtkTSjgjACHzZEzUpF1YIBhWcg1i+glRnda0IYOa8yoXoIwgD8SkDqit0c++Y1uJ9wAEgsC/HHGgTHhuj/p++TGOjhwJfvYPy/l6IqMawOReV9CQLpFRYYtwuY2QgY3Ej83E7sDDQL0H0NZK4Ab5mEtkahDb7yQbSOAfmnwToH3KVyb/IZyH1a1vSLEMtCMA2ZjT7TrxwmuaETZWqC8QbVd99i/re+T+KqTg7+zZ0c/eflBGMxwsBAa/CjwEEcnD6wUhZbWdeCfEpDY1yB1w9hBxz7D3C7wExKJuy+BfxpqB2E+lHoWNL2CWXA9IuQvUmcsPYeKEeEYHry2+70ia8Y4r3PXU2sT2Hl3mHBt7ZQOzjA8XvuoLzLwOk1ic+DsCoCa1bAdqExDrUCeBmI9WRoFlYDL59MYIeywewm1i2m4kbFl1+A+ihU90JsrphKci0EBSi9A/6kmIi7ACY3QfYzkrAKz8t/QcJvekODsfs17uLDLPjGiwT1ixm5/08pbjNxe03sTFSpGhFhS4ShG6JBvwg6DU6PSXnf5cB9JxNociFWXGN2SI2ClqxopySjBmWRip+Xej++BBKrwOqE5hgUd0jlOfEodN0C+S3g9EMYgneeT3LwCbxl44DH6CNfoPiqibfIxFskQUIFkq0JoDoCTlKSGZZgqb0D6esg1gtKrZjNhLJYroHhQBDIQ6Yrd7xeqWWMqDCzUtAch8JzUbLqgfQGwAZ/BMZ/Bl23Qn1CtNixokjY6GP65c+Qf9Yi1msRXyprKy1+YzpRAVeS/QiiDyK4oAZ+I0qMdH6YgCIGpsKwo1qHdugDcd5Tj6AmtUr5bWiOREA6pYlpTEHHIjj6jSKZG5KMfneQoGrhzI9ABdH6UU0lF8FOSqFnxmbfz7BBt8HM1IB9AqWKIo5hgTmDRGNCMm7rcdOT71g3VA+DOw+aw1BLQfJy8QMdeMQWW7J8TJIVSI5oHIX4QsCHwg5Ir5BrQRUax6RUqQ1D8zAQi7L6yZxO1oBSBjoUHwjrYHe0/9mckogUCYqZCjHiMPdOIJR7YRkah6BjJSSvtNB16ZmNDsg/DvWDEJsjz1Z2SNBAw8RBcBdK3eSeEyXv+eCsAysOwYEoL7WbsDaBgFGCao2wnsBKRoXaDKR2um1SyoHUWvGFUEt4LTwt/ze7Bfj0c5C5HihC4UVIXwYTj0D2elmy8LxEp1aHppDzyttiXi0f0AGoITFLzxWfUm0GMwnsIijJIlZO1KWbsri3TEzH7pWo0piA0k6RtDIlS4Lc79wIoz+MTG5MzNHOSSJz+yH/mJhR5hoJmROPgfKhGTU5AE5O9m1Og2lLOdKYAi8lIxk4+GECl+s8b5gafxqcuZKBrYw4dH0YakeQjskUoRk2UmpocR2rBzqvgrEftexK6qHCZkh+UrLznM/B2CGoH4Gxh6RfyF4nsT7/tFS4BDI/MqyobImsoJkHdQ7UjkEYbv4wAQCt36d2pBvvXOlLxx4DXZUGxXTFCdFSz9ud0eIhWHMgsxFGH4hMTElZUT8sic5IQe0ATL8KnddA/kkwlCSniUekYZr/55IcC5vB8EXLpicat2xILhffrA8XgZdOuN9JBJR+lMr+OujILAL5ixkNo9AicTsR2W4Idjdk1sPogyc7ttsPlXeFjGFDfKmUIEa0rg7leTR43XD8fpjcAp2fFk26c0ULtisYjLiYWXOyieKN2QnU+S7VI1XqI5LK7e4IeAjV4TbomeDTVwh4fCjvFRK6JmoPI5s2Ws4P5J+FOZ+Ptg6h/KuoiYkDFZh4CEq7IHctZK4E1QGpAYj50X/9gwzqkdkJrNNj6GA7xV1AWaTWqv3dnjb42vHI5teJLdMUqcYXCRi/IiVIK0f5RQkMOowmG9she5WcW53QGJGWlKgWKv0SjvynFHGZT4GbkUg3vWsK9NdmQp6lJ9Z3U3o7T2NCRn9mZ1sLLbUnVkDmMhh9WCTvT0f3otDndLXbUB1AZS948+VeUIbJ5yAogTNffElH0w2i9Z2cOHhlr0QoVZPxil+oMsCjpycwyPP4xaNM7wSjCsmVnJg8oMVh04Mw+hOJHoTi8K2YrUPwlkN9v4TRsAbNI9J+hhVJWk4PjG6SdZQphC1PkqcO5Vtp8JaAZUl4LWwro8Nvnzpyn00DmkDfRmFoksoB8GKQukQ2svvAPRfGN4nZNKciswja0iOQjF0YkuQX1qNI5ED1SOQfIcQ6ZJ6auVTMinCGFhQYOUidD9RgajvUh49R5d5T0c4+Vlmr30U3/43x58s0JqEjB7kbIbUKim9GM6BmFI0CMYf6aDuDOl1gtMjE5FuZMp22U21NTW0RH7C7JTRrX0pp9zzoXg9MQ3kf5LdOYuibWa/9U6F+9GTO5KvUjh4n/5rGL4ATkxq/lVhaNk4opXCsU35rQ/pffconrEaVZESymZcQW3gdsuskaRkx6L4OcqsEfGMUxp4poZvfZrXePRvM00+nh9Q8MLaRGewjt1ERJmDy5Sg8BjPMMWr6q8OQ2QBuDkYeFU20kkNqAIImlHfMeE6LieWuBzMi7kTlfGMShn9apj78PIP65lNt/9drAGBQH8EI15IfOs7EC6DykLsKkqsAK5o8tyJUIKHWSYk5OFnaI5moPDCjQe+JZkVLdtUNMIpgNwRnfRSGHylTH376dOB/PQGANfowQXgpU0PHGHsywP8AOnqg6wZwl0SzH7u9lJWG6kHJBS3zqY3JZMHqjFoOo/1cdgM4CTBcKbfLe2H4JyWaw48xqG87HXg409esl+qD7FAXMb37ASqHB+jamCKxHDqXQbBcCqzCVgmndjcEk1K/ay0D4FhaZv12TiRudYoWnS6waoAvE4jCS5rCm3mUfw9r+HtZ4PTHb/6Sb6v6Y0zzH+hYkiE9YOAtiDqtjNiwKkFhL1T2S8g0E6KV5GqwAyARaWyiPYKvvAf516ZpTu7H0LeyWr9/pnA+3mvWHWouAV8D82acPpf0J+O482Q0bljS8ISe2L3lSOQKp6D1PiGoSJlQ2gOlPXmaxSpG+Hes4d/PROq/PYHWsVklcLkTZfwVRswllnWJ9SZx+6IOziZqtaI+dwTqo5rm2BT1vIbwdQx9N2v0lo8L4ey8qQd4U/WiuQTN76OMK9BkUcwcO1RB7wb9GprtWAyxSk/9ttuePQL/R8eZvyf+f3r8zhP4H3yhZk7RkPCxAAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# qmake PREFIX=/usr# Uncomment this line for use without Qt Creator

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	# $(MAKE) # Uncomment this line for use without Qt Creator
	#docbook-to-man debian/mverbiste.sgml > mverbiste.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	# $(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/mverbiste.
	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/mverbiste install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	# dh_shlibdeps # Uncomment this line for use without Qt Creator
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## mverbiste 1.1.0-build2

=== Makefile ===
#############################################################################
# Makefile for building: mverbiste
# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat Mar 30 18:47:45 2013
# Project:  mverbiste.pro
# Template: app
# Command: /usr/bin/qmake PREFIX=/usr -o Makefile mverbiste.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DVERSTR=\"1.1\" -DICONV_CONST= -DLIBDATADIR=\"/opt/mverbiste/data\" -DICONFILE=\"/opt/mverbiste/icons/mverbiste160.png\" -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -I/usr/include/libxml2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -I/usr/include/libxml2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -L/usr/lib -lxml2 -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp \
		verbiste/misc-types.cpp \
		verbiste/FrenchVerbDictionary.cpp \
		verbiste/c-api.cpp \
		gui/conjugation.cpp \
		about.cpp moc_mainwindow.cpp \
		moc_about.cpp
OBJECTS       = main.o \
		mainwindow.o \
		misc-types.o \
		FrenchVerbDictionary.o \
		c-api.o \
		conjugation.o \
		about.o \
		moc_mainwindow.o \
		moc_about.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		deployment.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		mverbiste.pro
QMAKE_TARGET  = mverbiste
DESTDIR       = 
TARGET        = mverbiste

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: mverbiste.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		deployment.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) PREFIX=/usr -o Makefile mverbiste.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
deployment.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) PREFIX=/usr -o Makefile mverbiste.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/mverbiste1.0.0 || $(MKDIR) .tmp/mverbiste1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/mverbiste1.0.0/ && $(COPY_FILE) --parents mainwindow.h verbiste/Trie.h verbiste/misc-types.h verbiste/FrenchVerbDictionary.h verbiste/c-api.h gui/conjugation.h about.h .tmp/mverbiste1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp verbiste/misc-types.cpp verbiste/FrenchVerbDictionary.cpp verbiste/c-api.cpp gui/conjugation.cpp about.cpp .tmp/mverbiste1.0.0/ && $(COPY_FILE) --parents mainwindow.ui .tmp/mverbiste1.0.0/ && (cd `dirname .tmp/mverbiste1.0.0` && $(TAR) mverbiste1.0.0.tar mverbiste1.0.0 && $(COMPRESS) mverbiste1.0.0.tar) && $(MOVE) `dirname .tmp/mverbiste1.0.0`/mverbiste1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/mverbiste1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp moc_about.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp moc_about.cpp
moc_mainwindow.cpp: verbiste/FrenchVerbDictionary.h \
		verbiste/c-api.h \
		verbiste/misc-types.h \
		verbiste/Trie.h \
		verbiste/Trie.cpp \
		gui/conjugation.h \
		about.h \
		mainwindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

moc_about.cpp: about.h
	/usr/bin/moc $(DEFINES) $(INCPATH) about.h -o moc_about.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_mainwindow.h
compiler_uic_clean:
	-$(DEL_FILE) ui_mainwindow.h
ui_mainwindow.h: mainwindow.ui
	/usr/bin/uic mainwindow.ui -o ui_mainwindow.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

main.o: main.cpp mainwindow.h \
		verbiste/FrenchVerbDictionary.h \
		verbiste/c-api.h \
		verbiste/misc-types.h \
		verbiste/Trie.h \
		verbiste/Trie.cpp \
		gui/conjugation.h \
		about.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

mainwindow.o: mainwindow.cpp mainwindow.h \
		verbiste/FrenchVerbDictionary.h \
		verbiste/c-api.h \
		verbiste/misc-types.h \
		verbiste/Trie.h \
		verbiste/Trie.cpp \
		gui/conjugation.h \
		about.h \
		ui_mainwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwindow.o mainwindow.cpp

misc-types.o: verbiste/misc-types.cpp verbiste/misc-types.h \
		verbiste/c-api.h \
		verbiste/FrenchVerbDictionary.h \
		verbiste/Trie.h \
		verbiste/Trie.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o misc-types.o verbiste/misc-types.cpp

FrenchVerbDictionary.o: verbiste/FrenchVerbDictionary.cpp verbiste/FrenchVerbDictionary.h \
		verbiste/c-api.h \
		verbiste/misc-types.h \
		verbiste/Trie.h \
		verbiste/Trie.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o FrenchVerbDictionary.o verbiste/FrenchVerbDictionary.cpp

c-api.o: verbiste/c-api.cpp verbiste/FrenchVerbDictionary.h \
		verbiste/c-api.h \
		verbiste/misc-types.h \
		verbiste/Trie.h \
		verbiste/Trie.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o c-api.o verbiste/c-api.cpp

conjugation.o: gui/conjugation.cpp gui/conjugation.h \
		verbiste/FrenchVerbDictionary.h \
		verbiste/c-api.h \
		verbiste/misc-types.h \
		verbiste/Trie.h \
		verbiste/Trie.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o conjugation.o gui/conjugation.cpp

about.o: about.cpp about.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o about.o about.cpp

moc_mainwindow.o: moc_mainwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_mainwindow.o moc_mainwindow.cpp

moc_about.o: moc_about.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_about.o moc_about.cpp

####### Install

install_itemxmldata: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/mverbiste/ || $(MKDIR) $(INSTALL_ROOT)/opt/mverbiste/ 
	-$(INSTALL_DIR) /home/quan/mverbiste-1.1.0/data $(INSTALL_ROOT)/opt/mverbiste/


uninstall_itemxmldata:  FORCE

=== debian/changelog ===
mverbiste (1.1.0-build2) stable; urgency=low
   * Solve problem which creates x86 file in ARM environment: make clean.

 -- Nguyễn Hồng Quân <ng.hong.quan@gmail.com>  Sat, 30 Mar 2013 18:00:00 +0700

mverbiste (1.1.0-build1) stable; urgency=low
   * Correct debuild rule.

 -- Nguyễn Hồng Quân <ng.hong.quan@gmail.com>  Sat, 30 Mar 2013 16:00:00 +0700

mverbiste (1.1.0) stable; urgency=low
   * Support Italian verbs.
   * Show pronouns.

 -- Nguyễn Hồng Quân <ng.hong.quan@gmail.com>  Wed, 14 Nov 2012 17:08:52 +0700

mverbiste (1.0.0) stable; urgency=low
   * Initial Release.

 -- Nguyễn Hồng Quân <ng.hong.quan@gmail.com>  Sun, 28 Oct 2012 17:08:52 +0700

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Homepage: https://gitorious.org/mverbiste
 
 Package: mverbiste
-Architecture: armel i486
+Architecture: armel
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: MVerbiste is to help conjugation French verbs.
  MVerbiste is an effort to bring Verbiste, a program to help conjugate French verbs, to Maemo & MeeGo.

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	# qmake PREFIX=/usr# Uncomment this line for use without Qt Creator
+	qmake PREFIX=/usr
 
 	touch configure-stamp
 
@@ -27,7 +27,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	# $(MAKE) # Uncomment this line for use without Qt Creator
+	$(MAKE)
 	#docbook-to-man debian/mverbiste.sgml > mverbiste.1
 
 	touch $@
